Package com.sun.jna.platform.win32

## Class Variant.VARIANT._VARIANT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Variant.VARIANT._VARIANT

Enclosing class:
  Variant.VARIANT

    @FieldOrder({"vt","wReserved1","wReserved2","wReserved3","__variant"})
    public static class Variant.VARIANT._VARIANT
    extends Structure

### Nested Class Summary

Nested Classes
`static class` `Variant.VARIANT._VARIANT.__VARIANT`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`Variant.VARIANT._VARIANT.__VARIANT` `__variant`
`WTypes.VARTYPE` `vt`
`short` `wReserved1`
`short` `wReserved2`
`short` `wReserved3`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`_VARIANT()`
`_VARIANT​(Pointer pointer)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### vt

    public WTypes.VARTYPE vt

#### wReserved1

    public short wReserved1

#### wReserved2

    public short wReserved2

#### wReserved3

    public short wReserved3

#### __variant

    public Variant.VARIANT._VARIANT.__VARIANT __variant

### Constructor Detail

#### _VARIANT

    public _VARIANT()

#### _VARIANT

    public _VARIANT​(Pointer pointer)